package com.ruoyi.system.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.staffTrain.StaffTrainManual;
import com.ruoyi.system.mapper.StaffTrainManualMapper;
import com.ruoyi.system.service.IStaffTrainManualService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 员工培训手册Service业务层处理
 * 
 * @author boman
 * @date 2025-02-14
 */
@Service
public class StaffTrainManualServiceImpl implements IStaffTrainManualService 
{
    @Autowired
    private StaffTrainManualMapper staffTrainManualMapper;

    /**
     * 查询员工培训手册
     * 
     * @param manualId 员工培训手册主键
     * @return 员工培训手册
     */
    @Override
    public StaffTrainManual selectStaffTrainManualByManualId(Long manualId)
    {
        return staffTrainManualMapper.selectStaffTrainManualByManualId(manualId);
    }

    /**
     * 查询员工培训手册列表
     * 
     * @param staffTrainManual 员工培训手册
     * @return 员工培训手册
     */
    @Override
    public List<StaffTrainManual> selectStaffTrainManualList(StaffTrainManual staffTrainManual)
    {
        return staffTrainManualMapper.selectStaffTrainManualList(staffTrainManual);
    }

    /**
     * 新增员工培训手册
     * 
     * @param staffTrainManual 员工培训手册
     * @return 结果
     */
    @Override
    public int insertStaffTrainManual(StaffTrainManual staffTrainManual)
    {
        staffTrainManual.setCreateTime(DateUtils.getNowDate());
        return staffTrainManualMapper.insertStaffTrainManual(staffTrainManual);
    }

    /**
     * 修改员工培训手册
     * 
     * @param staffTrainManual 员工培训手册
     * @return 结果
     */
    @Override
    public int updateStaffTrainManual(StaffTrainManual staffTrainManual)
    {
        staffTrainManual.setUpdateTime(DateUtils.getNowDate());
        return staffTrainManualMapper.updateStaffTrainManual(staffTrainManual);
    }

    /**
     * 批量删除员工培训手册
     * 
     * @param manualIds 需要删除的员工培训手册主键
     * @return 结果
     */
    @Override
    public int deleteStaffTrainManualByManualIds(Long[] manualIds)
    {
        return staffTrainManualMapper.deleteStaffTrainManualByManualIds(manualIds);
    }

    /**
     * 删除员工培训手册信息
     * 
     * @param manualId 员工培训手册主键
     * @return 结果
     */
    @Override
    public int deleteStaffTrainManualByManualId(Long manualId)
    {
        return staffTrainManualMapper.deleteStaffTrainManualByManualId(manualId);
    }
}
